Skip to main content
GET
/
ws
/
1.1
/
chart.artists.get
chart.artists.get
curl --request GET \
  --url 'https://api.musixmatch.com/ws/1.1/chart.artists.get?apikey='
{ "message": { "body": { "artist_list": [ { "artist": { "artist_alias_list": [ { "artist_alias": "ケンドリック ラマー" }, { "artist_alias": "Kendrick Duckworth" }, { "artist_alias": "Kendrick Lamar Duckworth" }, { "artist_alias": "K. Dot" }, { "artist_alias": "Kserd" } ], "artist_comment": "", "artist_country": "US", "artist_credits": { "artist_list": [] }, "artist_id": 33492070, "artist_name": "Kendrick Lamar", "artist_name_translation_list": [], "artist_twitter_url": "https://twitter.com/kendricklamar", "begin_date": "1987-06-17", "begin_date_year": "1987", "end_date": "0000-00-00", "end_date_year": "", "restricted": 0, "updated_time": "2017-04-28T23:16:37Z" } }, { "artist": { "artist_alias_list": [ { "artist_alias": "لايدي غاغا" }, { "artist_alias": "レディー ガガ" }, { "artist_alias": "ga ga xiao jie" }, { "artist_alias": "Lady Ga Ga" }, { "artist_alias": "Stefani Joanne Angelina Germanotta" }, { "artist_alias": "Lady Gaga" } ], "artist_comment": "", "artist_country": "US", "artist_credits": { "artist_list": [] }, "artist_id": 378462, "artist_name": "Lady Gaga", "artist_name_translation_list": [ { "artist_name_translation": { "language": "AR", "translation": "لايدي غاغا" } } ], "artist_twitter_url": "https://twitter.com/ladygaga", "begin_date": "1986-03-28", "begin_date_year": "1986", "end_date": "0000-00-00", "end_date_year": "", "restricted": 0, "updated_time": "2016-07-12T10:03:30Z" } }, { "artist": { "artist_alias_list": [], "artist_comment": "", "artist_country": "", "artist_credits": { "artist_list": [] }, "artist_id": 27082035, "artist_name": "Morgan Wallen", "artist_name_translation_list": [], "artist_twitter_url": "", "begin_date": "0000-00-00", "begin_date_year": "", "end_date": "0000-00-00", "end_date_year": "", "restricted": 0, "updated_time": "2023-08-29T09:19:12Z" } } ] }, "header": { "execute_time": 0.015697002410889, "status_code": 200 } } }

Authorizations

apikey
string
query
required

Query Parameters

country
string

A valid two-letter country code. The default value is US.

Example:

"US"

page
string

Define the page number for paginated results.

Example:

"1"

page_size
string

Define the page size for paginated results. The allowed range is 1 to 100.

Example:

"3"

format
string

Decide the output type (json or xml).

Example:

"json"

Response

200 - application/json

200 OK / 401 Unauthorized

message
object